Last Comment Bug 420880 - Assertion failure: fp, in jsobj.c
: Assertion failure: fp, in jsobj.c
Status: VERIFIED FIXED
[sg:nse]
: regression, testcase, verified1.8.1.13
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: 1.8 Branch
: x86 All
: -- normal (vote)
: ---
Assigned To: Igor Bukanov
:
:
Mentors:
Depends on:
Blocks: 416705
  Show dependency treegraph
 
Reported: 2008-03-04 08:43 PST by Bob Clary [:bc:]
Modified: 2008-03-25 18:31 PDT (History)
2 users (show)
dveditz: blocking1.8.1.13+
asac: blocking1.8.0.next-
bob: in‑testsuite+
bob: in‑litmus-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Bob Clary [:bc:] 2008-03-04 08:43:09 PST
js1_7/extensions/regress-353249.js,
js1_7/regress/regress-352797-02.js

Assertion failure: fp, at js/src/jsobj.c:2004

sensitive since bug 416705 is.
Comment 1 Bob Clary [:bc:] 2008-03-04 09:28:02 PST
/cvsroot/mozilla/js/tests/public-failures.txt,v  <--  public-failures.txt
new revision: 1.47; previous revision: 1.46
Comment 2 Daniel Veditz [:dveditz] 2008-03-04 10:50:27 PST
blocking on regression from security fix.

Igor: is this easy to fix, or would it be better to back out 416705 for this branch release?

Yay for extensive tests!
Comment 3 Igor Bukanov 2008-03-04 11:43:46 PST
(In reply to comment #2)
> Igor: is this easy to fix, or would it be better to back out 416705 for this
> branch release?

I suggest to back out bug 416705. I will have the proper and very targeted fix later today. The problem is that on the branch PutBlockObjects does not stop at the right moment.
Comment 4 Bob Clary [:bc:] 2008-03-04 14:00:15 PST
fixed by backing out of patch in bug 416705

/cvsroot/mozilla/js/tests/public-failures.txt,v  <--  public-failures.txt
new revision: 1.48; previous revision: 1.47
Comment 5 Bob Clary [:bc:] 2008-03-09 11:44:23 PDT
verified fixed 1.8.1.13
Comment 6 Alexander Sack 2008-03-25 09:06:35 PDT
js1.7 not applicable on 1.8.0 branch.

Note You need to log in before you can comment on or make changes to this bug.